The following packages are required by netLD when installing on Linux. When netLD is installed with a system that has an internet connection, the packages will be automatically installed. In the case that there isn't an internet connection, then the following packages will need to be installed manually.

These dependencies are required for both the netLD core server as well as the SmartBridge install.

See the Linux Installation Guide for more details about installing on Linux.

 Package Name Purpose 
unzip Provides support for extracting zip files within system administrative tools.
wget Provides support for accessing HTTP servers from within system administrative tools.
gmp Provides encryption support for the device adapters. 
iptables Used for port forwarding to allow netLD services to be accessible from well-known ports.
iptables-ipv6 (CentOS 6 and RHEL 6)
iptables-services (CentOS 7 and RHEL 7)
Enables IPv6 support for port forwarding (in conjunction with iptables)
  *Please install this package if you do not use IPv6. 
openssh Prerequisite for openssh-clients
openssh-clients Provides command line SSH and SCP clients
shadow-utils Linux User Management - Used internally for creating the netld service user
sudo Allows netld administrative tools to switch to the appropriate user when executing commands.
compat-expat1 (CentOS 6 and RHEL 6) Provides XML parsing support for the device adapters. (not required on CentOS 7 or RHEL 7)
openssl098e-0.9.8e (CentOS 6 and RHEL 6)
openssl098e (CentOS 7 and RHEL 7)
Provides support for SSL encryption


Offline RPM Download

For offline installs the various packages must be installed manually using the appropriate RPM files.